Skip navigation links

Oracle® Database XML Java API Reference 11g Release 2 (11.2) E10769-01

## oracle.xdb.event
Class XDBInvalidOperationException

`java.lang.Object
java.lang.Throwable
java.lang.Exception
java.lang.RuntimeException
oracle.xdb.event.XDBInvalidOperationException`

All Implemented Interfaces:
  java.io.Serializable

      public class XDBInvalidOperationException

extends java.lang.RuntimeException

The exception thrown when an operation is not allowed

Since:
  11.1.0.0.0
See Also:
  Serialized Form

Constructor Summary
`XDBInvalidOperationException(java.lang.String message)` Creates an `XDBInvalidOperationException` object with the given message.

Method Summary

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### XDBInvalidOperationException

    public XDBInvalidOperationException(java.lang.String message)

  Creates an `XDBInvalidOperationException` object with the given message.
  Parameters:
    `message` - The message to be shown with the exception.

Skip navigation links

Oracle® Database XML Java API Reference 11g Release 2 (11.2) E10769-01

Copyright © 2003, 2009, Oracle and/or its affiliates. All rights reserved.